# GLM Voice Clone - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-glm-tts-voice-clone

# GLM Voice Clone

POST

/

v3

/

glm-tts-voice-clone

GLM Voice Clone

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/glm-tts-voice-clone \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"text": "&#x3C;string>",
"input": "&#x3C;string>",
"audio_url": "&#x3C;string>",
"voice_name": "&#x3C;string>"
}
'
```

```
import requestsurl = "https://api.novita.ai/v3/glm-tts-voice-clone"payload = { "text": "&#x3C;string>", "input": "&#x3C;string>", "audio_url": "&#x3C;string>", "voice_name": "&#x3C;string>"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ text: '&#x3C;string>', input: '&#x3C;string>', audio_url: '&#x3C;string>', voice_name: '&#x3C;string>' })};fetch('https://api.novita.ai/v3/glm-tts-voice-clone', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v3/glm-tts-voice-clone", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'text' => '&#x3C;string>', 'input' => '&#x3C;string>', 'audio_url' => '&#x3C;string>', 'voice_name' => '&#x3C;string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v3/glm-tts-voice-clone"	payload := strings.NewReader("{\n \"text\": \"&#x3C;string>\",\n \"input\": \"&#x3C;string>\",\n \"audio_url\": \"&#x3C;string>\",\n \"voice_name\": \"&#x3C;string>\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/v3/glm-tts-voice-clone") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"text\": \"&#x3C;string>\",\n \"input\": \"&#x3C;string>\",\n \"audio_url\": \"&#x3C;string>\",\n \"voice_name\": \"&#x3C;string>\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v3/glm-tts-voice-clone")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"text\": \"&#x3C;string>\",\n \"input\": \"&#x3C;string>\",\n \"audio_url\": \"&#x3C;string>\",\n \"voice_name\": \"&#x3C;string>\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"voice": "&#x3C;string>",
"audio_url": "&#x3C;string>"
}
```

Using voice cloning technology to generate speech synthesis with specified voice timbre and text content based on sample audio.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-text)

text

string

Text content of the sample audio, optional

[​](#param-input)

input

string

required

Target text content for generating preview audio

[​](#param-audio-url)

audio_url

string

required

URL of the sample audio. Size limit is 10MB, recommended audio duration is between 3 to 30 seconds.

[​](#param-voice-name)

voice_name

string

required

Specify a unique voice name

##

[​](#response)

Response

[​](#param-voice)

voice

string

Voice timbre

[​](#param-audio-url-1)

audio_url

string

URL of the generated preview audio file

Last modified on December 19, 2025
